Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.extent
Interface Extent

    @UML(identifier="EX_Extent",
         specification=ISO_19115)
    public interface Extent

Information about spatial, vertical, and temporal extent. This interface has four optional attributes (geographic elements, temporal elements, and vertical elements) and an element called description. At least one of the four shall be used.

Since:
  GeoAPI 1.0

Method Summary
`InternationalString` | `getDescription()` Returns the spatial and temporal extent for the referring object.
`Collection<? extends GeographicExtent>` | `getGeographicElements()` Provides geographic component of the extent of the referring object
`Collection<? extends TemporalExtent>` | `getTemporalElements()` Provides temporal component of the extent of the referring object
`Collection<? extends VerticalExtent>` | `getVerticalElements()` Provides vertical component of the extent of the referring object

Method Detail

### getDescription

    @UML(identifier="description",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    InternationalString getDescription()

  Returns the spatial and temporal extent for the referring object.

### getGeographicElements

    @UML(identifier="geographicElement",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    Collection<? extends GeographicExtent> getGeographicElements()

  Provides geographic component of the extent of the referring object

  Returns:
    The geographic extent, or an empty set if none.

### getTemporalElements

    @UML(identifier="temporalElement",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    Collection<? extends TemporalExtent> getTemporalElements()

  Provides temporal component of the extent of the referring object

  Returns:
    The temporal extent, or an empty set if none.

### getVerticalElements

    @UML(identifier="verticalElement",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    Collection<? extends VerticalExtent> getVerticalElements()

  Provides vertical component of the extent of the referring object

  Returns:
    The vertical extent, or an empty set if none.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.